executeAction 操作
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
尚未记录
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.Read.All、DeviceManagementManagedDevices.Read.All、DeviceManagementManagedDevices.PrivilegedOperations.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.Read.All、DeviceManagementManagedDevices.Read.All、DeviceManagementManagedDevices.PrivilegedOperations.All |
HTTP 请求
POST /deviceManagement/managedDevices/executeAction
POST /deviceManagement/comanagedDevices/executeAction
POST /deviceManagement/deviceManagementScripts/{deviceManagementScriptId}/deviceRunStates/{deviceManagementScriptDeviceStateId}/managedDevice/users/{userId}/managedDevices/executeAction
POST /deviceManagement/deviceManagementScripts/{deviceManagementScriptId}/deviceRunStates/{deviceManagementScriptDeviceStateId}/managedDevice/detectedApps/{detectedAppId}/managedDevices/executeAction
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供参数的 JSON 表示形式。
下表显示了可用于此操作的参数。
| 属性 | 类型 | 说明 |
|---|---|---|
| actionName | managedDeviceRemoteAction | 尚未记录 |
| keepEnrollmentData | 布尔 | 尚未记录 |
| keepUserData | Boolean | 尚未记录 |
| persistEsimDataPlan | Boolean | 尚未记录 |
| deviceIds | String collection | 尚未记录 |
| notificationTitle | String | 尚未记录 |
| notificationBody | String | 尚未记录 |
| deviceName | String | 尚未记录 |
| carrierUrl | String | 尚未记录 |
| deprovisionReason | String | 尚未记录 |
| organizationalUnitPath | String | 尚未记录 |
响应
如果成功,此操作在响应正文中返回 响应代码和 200 OK bulkManagedDeviceActionResult。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/managedDevices/executeAction
Content-type: application/json
Content-length: 473
{
"actionName": "delete",
"keepEnrollmentData": true,
"keepUserData": true,
"persistEsimDataPlan": true,
"deviceIds": [
"Device Ids value"
],
"notificationTitle": "Notification Title value",
"notificationBody": "Notification Body value",
"deviceName": "Device Name value",
"carrierUrl": "https://example.com/carrierUrl/",
"deprovisionReason": "Deprovision Reason value",
"organizationalUnitPath": "Organizational Unit Path value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 385
{
"value": {
"@odata.type": "microsoft.graph.bulkManagedDeviceActionResult",
"successfulDeviceIds": [
"Successful Device Ids value"
],
"failedDeviceIds": [
"Failed Device Ids value"
],
"notFoundDeviceIds": [
"Not Found Device Ids value"
],
"notSupportedDeviceIds": [
"Not Supported Device Ids value"
]
}
}
反馈
提交和查看相关反馈